
import { attachmentList } from "@/api/common/uploadAttachment.js";
export default {
  props: {
    data: {}
  },
  data () {
    return {
      isLoad: false,
      permanentDetail: {}
    };
  },
  computed: {
  },
  created () {
    this.isLoad = false
    attachmentList(this.data).then(res => {
      this.permanentDetail = res.data;
      this.isLoad = true
    })
  },
  mounted () {
  },
  methods: {
    openImage (url) {
      this.$emit('openImage',url)
      // this.dialogImageUrl = url;
      // this.dialogVisible = true;
    },
    close () {
      this.$emit('close')
    }
  }
};
